'use strict';

var angular = require('angular');
require('./modules');
require('./services/introService');

angular
  .module('intro')
  .run(run);

/** @ngInject */
function run(introService, $timeout) {
  introService.setOptions([{
    name: 'notice',
    option: {
      steps: [{
        id: 'notice-tab-id',
        intro: '<span class="intro-span">通知中展示所有业务模块等待处理的消息数目,当无通知时，就是没有需要您处理的业务！</span>',
        position: 'top'
      },
      {
        id: 'linker-tab-id',
        intro: '<span class="intro-span">联系人中有本部门联系人、所有联系人，还可以收藏常用联系人！</span>',
        position: 'top'
      },
      {
        id: 'find-tab-id',
        intro: '<span class="intro-span">工作中展示您有权限办理的业务模块！</span>',
        position: 'top'
      },
      {
        id: 'setting-tab-id',
        intro: '<span class="intro-span">设置里可以切换账号、切换省份、查看版本、清空缓存、辅助功能...</span>',
        position: 'top-right'
      }]
    }
  }]);
}
